AdminBenchmarks

Создать бенч. Опциональный `modelVersionIds` сразу привяжет перечисленные версии (пустой/null = никого).

POST
/Admin/benchmarks
AuthorizationBearer <token>

JWT Authorization header using Bearer scheme

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.speaknode.com/api/Admin/benchmarks" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "title": "string",
  "description": "string",
  "model_type_id": "c9269a3e-aede-466e-944a-7f0ec3594468",
  "model_type_code": "string",
  "language_locale_id": "96776dbf-250a-49f2-a14d-7e906d335ad0",
  "auto_benchmark_enabled": true,
  "iterations": 0,
  "benchmark_messages": [
    {
      "role": "System",
      "content": "string",
      "kind": "Message",
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "interrupted": true,
      "metrics": {
        "started_speaking_at": "2019-08-24T14:15:22Z",
        "stopped_speaking_at": "2019-08-24T14:15:22Z",
        "transcription_delay": 0,
        "end_of_turn_delay": 0,
        "on_user_turn_completed_delay": 0,
        "llm_node_ttft": 0,
        "tts_node_ttfb": 0,
        "e2e_latency": 0,
        "transcript_confidence": 0
      },
      "tool_name": "string",
      "tool_call_id": "string",
      "tool_arguments_json": "string",
      "tool_output": "string",
      "tool_is_error": true,
      "handoff_to_agent_id": "string",
      "instructions": "string",
      "tools_added": [
        "string"
      ],
      "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",
      "llm_version_id": "1d21b241-019c-4728-b926-7ecf28933f38",
      "stt_version_id": "38162d5a-3146-438e-b215-0c721d25e833",
      "tts_version_id": "aad6f46f-8386-44a5-9274-36667c335b9f",
      "vad_version_id": "720305a6-710f-4800-b65f-0435408481c6"
    }
  ],
  "model_versions": [
    {
      "model_version_id": "337b5de9-de8e-4f60-90b9-4857763aa5cd",
      "model_id": "f8ff2fb8-4acc-4e48-bd83-cbdac23e1224",
      "model_name": "string",
      "model_code": "string",
      "model_version": "string",
      "gateway_code": "string",
      "is_active": true,
      "additional_properties": [
        {
          "name": "string",
          "value": null
        }
      ],
      "temperature": 0,
      "top_p": 0,
      "top_k": 0,
      "max_output_tokens": 0
    }
  ],
  "stt_samples": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "case": "Quiet",
      "original_audio_object_storage_path": "string",
      "audio_object_storage_path": "string",
      "audio_url": "string",
      "original_audio_url": "string",
      "expected_text": "string",
      "duration_ms": 0,
      "sample_rate_hz": 0,
      "is_active": true
    }
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}